Debian Bug report logs - #692264
ITP: double-conversion -- routines to convert IEEE doubles to and from strings

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sébastien Villemot <sebastien@debian.org>

Date: Sun, 4 Nov 2012 11:57:02 UTC

Owned by: "Sébastien Villemot" <sebastien@debian.org>

Severity: wishlist

Fixed in version double-conversion/1.1.1-1

Done: Sébastien Villemot <sebastien@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>:
Bug#692264; Package wnpp. (Sun, 04 Nov 2012 11:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Sébastien Villemot" <sebastien@debian.org>. (Sun, 04 Nov 2012 11:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: double-conversion -- routines to convert IEEE doubles to and from strings
Date: Sun, 04 Nov 2012 12:55:09 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: "Sébastien Villemot" <sebastien@debian.org>
User: debian-science@lists.debian.org
Usertags: field..mathematics
Control: block 691912 by -1

* Package name    : double-conversion
  Version         : 1.1.1-1
  Upstream Author : Florian Loitsch <floitsch@google.com>
* URL             : http://double-conversion.googlecode.com
* License         : BSD
  Programming Lang: C++
  Description     : routines to convert IEEE floats to and from strings

The library provides routines to convert IEEE single and double floats
to and from string representations. It offers at lot of flexibility with
respect to the conversion format: shortest, fixed, precision or
exponential representation; decimal, octal or hexadecimal basis; control
over number of digits, leading/trailing zeros and spaces.

The library consists of efficient conversion routines that have been
extracted from the V8 JavaScript engine. The code has been refactored
and improved so that it can be used more easily in other projects.

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594
[Message part 2 (application/pgp-signature, inline)]

Added indication that bug 692264 blocks 691912 Request was from Sébastien Villemot <sebastien@debian.org> to submit@bugs.debian.org. (Sun, 04 Nov 2012 11:57:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 04 Nov 2012 19:06:06 GMT) Full text and rfc822 format available.

Reply sent to Sébastien Villemot <sebastien@debian.org>:
You have taken responsibility. (Thu, 15 Nov 2012 21:03:17 GMT) Full text and rfc822 format available.

Notification sent to Sébastien Villemot <sebastien@debian.org>:
Bug acknowledged by developer. (Thu, 15 Nov 2012 21:03:17 GMT) Full text and rfc822 format available.

Message #14 received at 692264-close@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 692264-close@bugs.debian.org
Subject: Bug#692264: fixed in double-conversion 1.1.1-1
Date: Thu, 15 Nov 2012 21:00:07 +0000
Source: double-conversion
Source-Version: 1.1.1-1

We believe that the bug you reported is fixed in the latest version of
double-conversion, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692264@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sébastien Villemot <sebastien@debian.org> (supplier of updated double-conversion package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 02 Nov 2012 14:57:08 +0100
Source: double-conversion
Binary: libdouble-conversion0 libdouble-conversion-dev libdouble-conversion-dbg
Architecture: source amd64
Version: 1.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Sébastien Villemot <sebastien@debian.org>
Description: 
 libdouble-conversion-dbg - routines to convert IEEE floats to and from strings (debugging sy
 libdouble-conversion-dev - routines to convert IEEE floats to and from strings (development
 libdouble-conversion0 - routines to convert IEEE floats to and from strings
Closes: 692264
Changes: 
 double-conversion (1.1.1-1) unstable; urgency=low
 .
   * Initial release. (Closes: #692264)
Checksums-Sha1: 
 b465948913839667f0806d82192c1dfaa3adc0bf 2226 double-conversion_1.1.1-1.dsc
 de238c7f0ec2d28bd7c54cff05504478a7a72124 7012946 double-conversion_1.1.1.orig.tar.gz
 aebfd81625918aa50600ff1fa1ef75be4087b4a7 3105 double-conversion_1.1.1-1.debian.tar.gz
 861e3ad1c55379ecdaed2aa2d064bca5aeb20fb8 33964 libdouble-conversion0_1.1.1-1_amd64.deb
 3d477cbfbadad1fe4820930b37aeefb4f7ecbf48 54790 libdouble-conversion-dev_1.1.1-1_amd64.deb
 f652fb89c50206b3a7141f76ecd5a2c6d2697eca 97860 libdouble-conversion-dbg_1.1.1-1_amd64.deb
Checksums-Sha256: 
 3a51ac872c1a72a8a0d87819c560dcbeef936f610c8230c7c19c14247bd56954 2226 double-conversion_1.1.1-1.dsc
 e1cabb73fd69e74f145aea91100cde483aef8b79dc730fcda0a34466730d4d1d 7012946 double-conversion_1.1.1.orig.tar.gz
 73ee70c4c8bd25d38df7bc91078978b681f2f022bef9e81d213b710736655ce7 3105 double-conversion_1.1.1-1.debian.tar.gz
 98005d0fc1b0604a353edc9204abf63944b2268f5579ff42f7f7f7cdd686a529 33964 libdouble-conversion0_1.1.1-1_amd64.deb
 7223961a68ad924558cc3b2e06e512aa46773430295aaff771214022150c1b1b 54790 libdouble-conversion-dev_1.1.1-1_amd64.deb
 87142d8341543f662e386b6ead623ccb149f8b01261a339b6ad69f5cadf9642e 97860 libdouble-conversion-dbg_1.1.1-1_amd64.deb
Files: 
 6d0d604209d6c71cc2c94be3962e65f1 2226 libs extra double-conversion_1.1.1-1.dsc
 29b533ed4311161267bff1a9a97e2953 7012946 libs extra double-conversion_1.1.1.orig.tar.gz
 6331f667789e946a60a186840e9db087 3105 libs extra double-conversion_1.1.1-1.debian.tar.gz
 fbd37e1d5baf58e0c37cb22bd5942165 33964 libs extra libdouble-conversion0_1.1.1-1_amd64.deb
 0c34746764401b0980332119bbfca7a8 54790 libdevel extra libdouble-conversion-dev_1.1.1-1_amd64.deb
 adb9abeef1cc2a114f3e3e56e1d2adb2 97860 debug extra libdouble-conversion-dbg_1.1.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQloAXAAoJECzs6TUOzr5Ka9cP/12/pHgwQSJT9TXpiEisdsbh
5RNkB+i6x/A+xBrFZF/steIzGku+w8xOTv+4lunBu3jVSHZ80MXyA7yTCxdeBXA2
wkM+BePlPL3+Yft43mCXxDp4nYhJyBKU8iPW7wrO4WA6kdZbvJZs8vJUnwKyRSnu
0PtZZI3CqcF1Yo2HDkhdFHHeZcl5VWRtJFwX1b97AYWp1pNHSf2lzLUdRJDEde2x
MMsNT3mR5O3wDejQXrDFAkv7/o+0QuJduH1NHzxODAuLkL64Gn9ejsNDBnqvzxK8
BcSew5/M7FrIsZQRQO71tCV23NSjB5F/Ul+WnooPlnC5tK0dwk477BHVNC2RUoA7
dP9iyCmqj+xI+I+qk7RG/j+oR3AIYUwlTiJnAgZICQHUTuqLco8cb3XlgX6F1hNC
fiOLrSRzVZa1h6XuDgmhMwXpf1l3QRp50LhK51qV+Id6BarEP96cLbx3RnnaPmna
mqpeVAiVCZyG5506QaSUhWLzPviWnNYLfUbyCCxfUvY6BQCRGPuafV5iI+ZAvHKE
6SHza8T7VPa07nZ3p2ybdzKMqUEukiaaNLu5xMO+FxTS+95GEn7Gox8DpiZMaaUj
73EZlG65e8GXehd5V58nP6S2ki7fyhcPbShzbtx5uqo9Syz+E/pJKiqK1hMl0Fz/
/G3PZ+XMtCnkgQRCSDY9
=+aBj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Dec 2012 07:28:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:59:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.